﻿var mainObj =_root.parsed_obj;
var galleryObj =_root.gallery_obj;

function textSelectable(selectedObject) {
	isTextSelected = getSettingsValue(mainObj, "textSelectable", "item");
	if (isTextSelected=="true") {
		selectedObject.selectable=true;
	}
}

function getXmlSection (obj, itemName,  sectionName) {
	i=0;
	while (obj[itemName][i]) {
		if (obj[itemName][i].name==sectionName) {
			returnedResult=true;
			return (i);
			break;
		}
		i++;
	}
}

function getSettingsValue (obj, itemName, itemType) {
	sectionNum=getXmlSection(obj, "section",  "settings");
	k=0;
	while (obj["section"][sectionNum][itemType][k]) {
		if (obj["section"][sectionNum][itemType][k].name == itemName) {
			return (obj.section[sectionNum][itemType][k].value);
			break;
		}
		k++;
	}
}

function getSettingsValueByName( textObj, sname, emded ) {
	textObj.htmlText=getSettingsValue(mainObj, sname, "item");
	textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getFontFamily(obj, sectionName, itemType, targetItem) : String
{
	sectionNum = getXmlSection(obj, 'section',  sectionName);
	return getAttributeValue(obj['section'][sectionNum][itemType], targetItem);
}

function getAttributeValue(where, targetItem) : String
{
	if(isNaN(targetItem)) {
		k=0;
		while (where[k]) {
			if (where[k].name == targetItem) {
				return where[k]['fontFamily'];
				break;
			}
			k++;
		}
	} else {
		return where[targetItem]['fontFamily'];
	}
}

function getCopyright (textObj, embed) {
	textObj.htmlText=getSettingsValue(mainObj, "copyright", "item");
	textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getCompanyName (textObj, embed) {
	textObj.htmlText=getSettingsValue(mainObj, "companyName", "item");
	textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getCompanyName2 (textObj, embed) {
	textObj.htmlText=getSettingsValue(mainObj, "companyName2", "item");
	textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getSlogan (textObj, embed) {
	textObj.htmlText=getSettingsValue(mainObj, "slogan", "item");
	textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getSystemValue (textObj, systemOptionName) {
	textObj.htmlText=getSettingsValue(mainObj, systemOptionName, "item");
	textSelectable(textObj);
}

function getMenuLink (textObj, linkNum, embed) {
	sectionNum=getXmlSection(mainObj, "section",  "menu");
	textObj.htmlText=mainObj["section"][sectionNum].link[linkNum].value;
	textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getMenuSystemOrder (linkNum) {
	sectionNum=getXmlSection(mainObj, "section", "menu");
	return (mainObj["section"][sectionNum].link[linkNum].systemOrder);
}

function getMenuNameByLink(textObj, linkNum, embed) {	
	sectionNum = getXmlSection(mainObj, "section",  "center_menu");
	for(var i:Number = 0; i < mainObj["section"][sectionNum].link.length; i++) {
		if(linkNum == mainObj["section"][sectionNum].link[i].systemOrder) {
			textObj.htmlText = mainObj["section"][sectionNum].link[i].value;
			if( embed == false ) {
				textObj.embedFonts = false;
			} else {
				textObj.embedFonts = true;
			}
			break;
		}
	}
}

function getMenuOrderNumByLink(linkNum) {	
	sectionNum = getXmlSection(mainObj, "section",  "menu");
	for(var i:Number = 0; i < mainObj["section"][sectionNum].link.length; i++) {
		if(linkNum == mainObj["section"][sectionNum].link[i].systemOrder) {
			return i;
		}
	}
}

function getCurrentText(textObj, textNumber, embed) {
	sectionNum=getXmlSection(mainObj, 'section', 'pages');
	currentPage = _root.link - _root.firstPageFrame;
	
	textObj.htmlText = mainObj['section'][sectionNum]['page'][currentPage]['texts'][0]['pageText'][textNumber].value;
	textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getMenuPreviousLink (linkNum) {
	k=0;
	systemOrder=getMenuSystemOrder(k);
	while (systemOrder) {
		if (systemOrder==linkNum) {
			orderResult=k+1;
			break;
		}
		k++;
		systemOrder=getMenuSystemOrder(k);
	}
	return (orderResult);
}

function getCurrentImageName(imageNumber) {
	sectionNum=getXmlSection(mainObj, "section", "pages");
	currentPage=_root.link-_root.firstPageFrame;
	imageParams=new Array();
	imageParams['name']=mainObj["section"][sectionNum]["page"][currentPage]["image"][imageNumber]["imageUrl"];
	imageParams['linkToOpen']=mainObj["section"][sectionNum]["page"][currentPage]["image"][imageNumber]["link"];
	return (imageParams);
}

function checkLinkType (linkTextType, linkNumber) {
 		k=0;
		typeCount=0;
		finalLinkNumber=parseInt(linkNumber)+1;
		currentPage=_root.link-_root.firstPageFrame;
		sectionNum=getXmlSection(mainObj, "section", "pages");
		linkTypeCkeck=mainObj["section"][sectionNum]["page"][currentPage]["link"][k]["linkType"]; 
		while (linkTypeCkeck){
			if (linkTypeCkeck==linkTextType) {
	 			typeCount++;
			}
			if (typeCount==finalLinkNumber) {
				
				return(k);
				break;
			}
			k++;
			linkTypeCkeck=mainObj["section"][sectionNum]["page"][currentPage]["link"][k]["linkType"]; 
		}
}

function more_click_func(number) {
	num=_root.pagesReadMoreFrame;
	currentPage=_root.link-_root.firstPageFrame;
	
	if(_root.link<>num and _root.animation==1) {
		_root.animation=0;
		_root.link_prev=_root.link;
		_root.menu["item" + getMenuPreviousLink(_root.link)].gotoAndPlay("s2");
		_root.menu2["item" + getMenuPreviousLink(_root.link)].gotoAndPlay("s2");
		
		if (number==999999) {
			 sectionNum=getXmlSection(mainObj, "section", "privacyPolicy");
			 titleNum=getXmlSection(mainObj.section[sectionNum], "item", "pageTitle");
			 title2Num=getXmlSection(mainObj.section[sectionNum], "item", "pageTitle2");
			 textNum=getXmlSection(mainObj.section[sectionNum], "item", "pageText");
			_root.readMoreTitle=mainObj.section[sectionNum]["item"][titleNum].value;
			_root.readMoreTitle2=mainObj.section[sectionNum]["item"][title2Num].value;
			_root.readMoreText=mainObj.section[sectionNum]["item"][textNum].value;
			
			_root.readMoreTitleFont=mainObj.section[sectionNum]["item"][titleNum]['fontFamily'];
			_root.readMoreTitle2Font=mainObj.section[sectionNum]["item"][title2Num]['fontFamily'];
			_root.readMoreTextFont=mainObj.section[sectionNum]["item"][textNum]['fontFamily'];
		}
		else {
			 sectionNum=getXmlSection(mainObj, "section", "pages");
			 
			 linkCount=checkLinkType("readMoreLink", number);
			i=0;
			 linkTitleNum=getXmlSection(mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount], "item", "title");		
			 linkTitle2Num=getXmlSection(mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount], "item", "title2");
			 linkTextNum=getXmlSection(mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount], "item", "linkText");
			 
			 _root.readMoreTitle=mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount]["item"][linkTitleNum].value;
			 _root.readMoreTitle2=mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount]["item"][linkTitle2Num].value;
			 _root.readMoreText=mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount]["item"][linkTextNum].value;		
			 
			 _root.readMoreTitleFont = mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount]["item"][linkTitleNum]['fontFamily'];
			 _root.readMoreTitle2Font = mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount]["item"][linkTitle2Num]['fontFamily'];
			 _root.readMoreTextFont = mainObj["section"][sectionNum]["page"][currentPage]["link"][linkCount]["item"][linkTextNum]['fontFamily'];
		}
		
		_root.link=num;
		_root.play();
	}
}

function getContactFormText(textObj, textNumber, embed) {
	sectionNum=getXmlSection(mainObj, "section", "contactForm");
	textObj.htmlText = mainObj["section"][sectionNum]["texts"][0]["pageText"][textNumber].value;
	textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getContactFormParams() {
	sectionNum=getXmlSection(mainObj, "section", "contactForm");
	ContactFormParams=new Array();
	servNum=getXmlSection(mainObj["section"][sectionNum], "item", "serverOption");
	recNum=getXmlSection(mainObj["section"][sectionNum], "item", "recipient");
	ContactFormParams['rec']=mainObj["section"][sectionNum]["item"][recNum].value;
	ContactFormParams['serv']=mainObj["section"][sectionNum]["item"][servNum].value
	return (ContactFormParams);
}

// gallery functions
function getGallerySystemProperty(propName) {
	sectionNum=getXmlSection(galleryObj, "section", "systemOptions");
	propNum=getXmlSection(galleryObj["section"][sectionNum], "option", propName);
	return (galleryObj["section"][sectionNum]["option"][propNum].value);
}

function getGallerySettings(propName) {
	sectionNum=getXmlSection(galleryObj, "section", "settings");
	propNum=getXmlSection(galleryObj["section"][sectionNum], "option", propName);
	return (galleryObj["section"][sectionNum]["option"][propNum].value);
}

function getGalleryImage(imageNum, categoryNum) {
	sectionNum=getXmlSection(galleryObj, "section", "imagesData");
	imageParams=new Array();
	image=galleryObj["section"][sectionNum]["category"][categoryNum]["image"][imageNum];
	nameNum=getXmlSection(image, "item", "imageUrl");
	commentNum=getXmlSection(image, "item", "imageComment");
	imageParams['name']=image['item'][nameNum].value;
	imageParams['comment']=image['item'][commentNum].value;
	return (imageParams);
}

function getCurrentGalleryName(categoryNum) {
	sectionNum=getXmlSection(galleryObj, "section", "imagesData");
	return (galleryObj["section"][sectionNum]["category"][categoryNum].name);
}

function getCurrentGalleryFolder(categoryNum) {
	sectionNum=getXmlSection(galleryObj, "section", "imagesData");
	return (galleryObj["section"][sectionNum]["category"][categoryNum].folderID);
}

function getCountCategoryImages (categoryNum) {
	sectionNum=getXmlSection(galleryObj, "section", "imagesData");
	i=0;
	flag="true";
	while (flag=="true") {
		if(!galleryObj["section"][sectionNum]["category"][categoryNum]['image'][i]) {
			flag="false";
		} else {
			i++;
		}
	}
	return (i);
}

function getNumberByname (imageName, categoryNum) {
	sectionNum=getXmlSection(galleryObj, "section", "imagesData");
	imageCount=0;
	flag="true";
	while (flag=="true") {
		if(galleryObj["section"][sectionNum]["category"][categoryNum]['image'][imageCount]) {
				imageObject=galleryObj["section"][sectionNum]["category"][categoryNum]["image"][imageCount];
			nameNum=getXmlSection(imageObject, "item", "imageUrl");
			if (imageObject['item'][nameNum].value==imageName) {
			imageNum=imageCount;
			flag="false";
			return (imageNum);
			}
			imageCount++;
		}
		else {
			flag="false";
		}
	}
}

function getReadMoreTitle( textObj, embed )
{	
	textObj.htmlText = _root.readMoreTitle;
	_root.textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getReadMoreTitle2( textObj, embed )
{	
	textObj.htmlText = _root.readMoreTitle2;
	_root.textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function getReadMoreText( textObj, embed )
{	
	textObj.htmlText = _root.readMoreText;
	_root.textSelectable(textObj);
	
	if( embed == undefined || embed == null ) {
		textObj.embedFonts = needToEmbedFonts( textObj.htmlText );
	} else {
		textObj.embedFonts = embed;
	}
}

function needToEmbedFonts( sourceText:String ) : Boolean
{	
	var fontFaces : Array = new Array();
	var searchString : String = ' FACE=';
	var fromIndex : Number = 0;
	var currentIndex : Number = ( sourceText.toUpperCase() ).indexOf( searchString, fromIndex );
	
	while( currentIndex != -1 ) {
		var startQuoteIndex : Number = currentIndex + searchString.length;
		var quoteType : String = sourceText.charAt( startQuoteIndex );
		var endQuoteIndex : Number = sourceText.indexOf( quoteType, startQuoteIndex + 1 );
		
		fontFaces.push( sourceText.substring( startQuoteIndex + 1, endQuoteIndex ) ); 
		
		fromIndex = currentIndex + 1;
		currentIndex = ( sourceText.toUpperCase() ).indexOf( searchString, fromIndex );
	}
	
	var counter : Number;
	
	// Check FontsManager
	if( _root.fm && !_root.fm.libraryLoadingError ) {
		for(counter=0; counter<fontFaces.length; counter++) {
			if( _root.fm.isFontRegistered(fontFaces[counter]) ) return true;
		}
	} else {
		// Check default fonts
		var defaultFontsCollection : Array = ['Tahoma', 'Arial', 'Comic Sans MS', 'Courier New', 'Times New Roman', 'Verdana', 'Georgia'];
		var defaultFontsCollectionString : String = defaultFontsCollection.toString();
		for(counter=0; counter<fontFaces.length; counter++) {
			if( defaultFontsCollectionString.indexOf(fontFaces[counter]) == -1 ) return true;
		}
	}
	return false;
}